> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Internal Unauthenticated/External - IP Addresses scan details for an asset

> Returns **Internal Unauthenticated** or **External IP Address** vulnerability details for a device identified by IP address, based asset IP address.

Use this endpoint when you already know the asset ip and want detailed counts and list of **CVE**s and **open ports** for the asset.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/vulnerability/assets/ip
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/vulnerability/assets/ip:
    get:
      tags:
        - Vulnerability Assets
      summary: >-
        Internal Unauthenticated/External - IP Addresses scan details for an
        asset
      description: "Returns **Internal Unauthenticated** or **External IP Address** vulnerability details for a device identified by IP address, based asset IP address.\r\n\r\nUse this endpoint when you already know the asset ip and want detailed counts and list of **CVE**s and **open ports** for the asset.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetUnauthenticatedAndExternalVulnerabilities
      parameters:
        - name: assetIp
          in: query
          description: >-
            Asset Ip of Internal Unauthenticated/External - IP Addresses
            Vulnerability scan.
          schema:
            type: string
            description: >-
              Asset Ip of Internal Unauthenticated/External - IP Addresses
              Vulnerability scan.
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerIpVuln'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
components:
  schemas:
    PartnerIpVuln:
      title: IpVulnerabilities
      type: object
      properties:
        RiskGrade:
          title: Asset Score
          type:
            - string
            - 'null'
          description: The asset score indicating the overall risk level of the asset.
        TotalCVECount:
          title: Total Number Of Vulnerabilities
          type: integer
          description: Total number of vulnerabilities identified for this asset.
          format: int32
        CriticalCount:
          title: Number Of Critical Vulnerabilities
          type: integer
          description: Number of critical vulnerabilities identified for this asset.
          format: int32
        HighCount:
          title: Number Of High Vulnerabilities
          type: integer
          description: Number of high severity vulnerabilities identified for this asset.
          format: int32
        MediumCount:
          title: Number Of Medium Vulnerabilities
          type: integer
          description: Number of medium severity vulnerabilities identified for this asset.
          format: int32
        LowCount:
          title: Number Of Low Vulnerabilities
          type: integer
          description: Number of low severity vulnerabilities identified for this asset.
          format: int32
        DeviceFingerprint:
          title: Device Fingerprint
          type:
            - string
            - 'null'
          description: The device fingerprint for this asset.
        MACAddress:
          title: MAC Address
          type:
            - string
            - 'null'
          description: The MAC address for this asset.
        MACVendor:
          title: MAC Vendor
          type:
            - string
            - 'null'
          description: The MAC vendor for this asset.
        SNMPResult:
          title: SNMP Result
          type:
            - string
            - 'null'
          description: The SNMP result for this asset.
        FinishTime:
          title: Finish Time
          type: string
          description: The finish time of the last scan for this asset.
          format: date-time
        CVEs:
          title: CVEs
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/PartnerIpVulnCve'
          description: List of CVEs identified for this asset.
        OpenPorts:
          title: Open ports
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/PartnerIpVulnOpenPort'
          description: List of open ports identified for this asset.
      additionalProperties: false
      description: >-
        Represents an IP asset with its associated vulnerability and scan
        details.
    PartnerIpVulnCve:
      title: IpVulnerabilityCVE
      type: object
      properties:
        CveID:
          title: CVE
          type:
            - string
            - 'null'
          description: The Common Vulnerabilities and Exposures (CVE) identifier.
        Title:
          title: CVE Title
          type:
            - string
            - 'null'
          description: The title or description of the CVE.
        FirstSeen:
          title: First Seen
          type: string
          description: The date and time when the CVE was first seen.
          format: date-time
        Exploitability:
          title: Exploitability
          type:
            - array
            - 'null'
          items:
            type: string
          description: List of exploitability types associated with this CVE.
        Severity:
          title: Severity
          type:
            - string
            - 'null'
          description: The severity level of the CVE.
        CVSS:
          title: CVSS
          type: number
          description: The Common Vulnerability Scoring System (CVSS) score for the CVE.
          format: double
        EPSS:
          title: EPSS
          type: number
          description: The Exploit Prediction Scoring System (EPSS) score for the CVE.
          format: double
        ScanId:
          title: Last Scan Id
          type: integer
          description: The ID of the last scan that identified this CVE.
          format: int32
        Patchable:
          title: Patchable
          type: boolean
          description: Indicates whether the CVE is patchable.
      additionalProperties: false
      description: >-
        Represents the details of a Common Vulnerabilities and Exposures (CVE)
        entry.
    PartnerIpVulnOpenPort:
      title: IpVulnerabilityOpenPort
      type: object
      properties:
        ScanId:
          title: Scan Id
          type: integer
          description: The ID of the scan that identified this open port.
          format: int32
        PortNumber:
          title: Port Numer
          type:
            - string
            - 'null'
          description: The port number that is open.
        PortDescription:
          title: Port Name
          type:
            - string
            - 'null'
          description: The name of the open port.
        RiskLevel:
          title: Severity
          type:
            - string
            - 'null'
          description: The severity level associated with the open port.
      additionalProperties: false
      description: >-
        Represents details about an open network port on an asset, including its
        number, associated service, protocol type, and vulnerability severity.

````